Summary: The SASL library API for the Cyrus mail system.
Name: cyrus-sasl
Version: 1.5.21
Release: C2
Copyright: distributable
Group: System Environment/Libraries
Source: ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/cyrus-sasl-%{version}.tar.gz
URL: http://asg.web.cmu.edu/cyrus/imapd/
Buildroot:/var/tmp/cyrus-sasl-root
Provides: libsasl
Packager: Cobalt Networks, Inc.

%description
The cyrus-sasl package contains the SASL library API implementation
for the Cyrus mail system.

%prep
%setup -n cyrus-sasl-%{version}

%build
(
  cd $RPM_BUILD_DIR/cyrus-sasl-%{version}
  ./configure --prefix=/usr
  make
)

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/sasl
mkdir -p $RPM_BUILD_ROOT/usr/sbin

(
  cd $RPM_BUILD_DIR/cyrus-sasl-%{version}
  make prefix=$RPM_BUILD_ROOT/usr install
)

strip -s $RPM_BUILD_ROOT/usr/sbin/* || :
chmod 755 $RPM_BUILD_ROOT/usr/lib/sasl/*
chmod 755 $RPM_BUILD_ROOT/usr/lib/libsasl*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

if [ -x /usr/sbin/sasldblistusers ]; then
  /usr/sbin/sasldblistusers &> /dev/null </dev/null
fi

test -e /etc/sasldb && chmod 0600 /etc/sasldb

exit 0

%postun
/sbin/ldconfig

test -e /etc/sasldb && rm -f /etc/sasldb

exit 0

%files
%defattr(-,root,root)
%dir /usr/lib/sasl
/usr/include/*.h
/usr/lib/sasl/*
/usr/lib/libsasl*
/usr/man/man3/*
/usr/man/man8/*
%attr(0755,root,root) /usr/sbin/saslpasswd
%attr(0700,root,root) /usr/sbin/sasldblistusers

%changelog
* Wed May 17 2000 Duncan Laurie <duncan@cobalt.com>
- 1.5.21-C2
- call sasldblistusers to generate /etc/sasldb
  on package install

* Mon May 08 2000 Duncan Laurie <duncan@cobalt.com>
- 1.5.21-C1
- update to latest release

* Sun Apr 30 2000 Duncan Laurie <duncan@cobalt.com>
- 1.5.20-C2
- install default empty /etc/sasldb file

* Wed Apr 26 2000 Duncan Laurie <duncan@cobalt.com>
- 1.5.20-C1
- update to latest release from CMU

* Tue Apr  4 2000 Duncan Laurie <duncan@cobalt.com>
- 1.5.15-C1
- first build for Cobalt RaQ4

